<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/page_bj">

    <com.hjq.bar.TitleBar
        android:id="@+id/tb_main_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/title_bg"
        app:leftColor="@color/white"
        app:leftIcon="@mipmap/left_icon"
        app:leftSize="18sp"
        app:leftTitle="返回"
        app:rightColor="@color/white"
        app:rightSize="18sp"
        app:rightTitle="120s"
        app:title="自助购票"
        app:titleColor="@color/white"
        app:titleSize="20sp" />
    <ScrollView
        android:id="@+id/sv"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/tb_main_bar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginBottom="60sp"
            android:orientation="vertical">
            <TextView
                android:id="@+id/tx_noDataShow"
                android:layout_below="@+id/tb_main_bar"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="60sp"
                android:gravity="center"
                android:visibility="gone"
                android:text="没有对应票据"/>

            <com.scwang.smartrefresh.layout.SmartRefreshLayout
                android:layout_width="match_parent"
                android:layout_below="@+id/tb_main_bar"
                android:layout_marginTop="20sp"
                android:id="@+id/refreshLayout"
                android:layout_height="match_parent">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/list_stock"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </com.scwang.smartrefresh.layout.SmartRefreshLayout>
        </LinearLayout>

    </ScrollView>

</RelativeLayout>